﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApplication8
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();
			FrameworkElementFactory fe = new FrameworkElementFactory(typeof(Button));
			fe.AddHandler(Button.ClickEvent, new RoutedEventHandler(OnClick));
			fe.SetValue(Button.ContentProperty, "Button");
			DataTemplate dt = new DataTemplate();
			dt.VisualTree = fe;
			dt.Seal();
			contentControl1.Content = dt.LoadContent();
			contentControl2.Content = (rootPanel.Resources["btn"] as DataTemplate).LoadContent();
			contentControl3.ContentTemplate = dt;
		}

		private void OnClick(object sender, RoutedEventArgs e)
		{
			MessageBox.Show("The button was clicled");
		}
	}
}
